package com.iwe3.langchain4j;

import com.iwe3.langchain4j.record.AppointmentRecord;
import com.iwe3.langchain4j.service.IAppointmentService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class XiaoAIAgentApplicationTest {

    @Autowired
    private IAppointmentService appointmentServiceImpl;


    @Test
    void saveAppointmentEntity() {
        var record = new AppointmentRecord("贝利亚",
                "123456789012345678",
                "内科",
                "2025-12-12","上午08.30","李娜");
        appointmentServiceImpl.saveAppointmentEntity(record);
    }

    @Test
    void removeById() {
        appointmentServiceImpl.removeById(1L);
    }

    @Test
    void getOne() {
        var record = new AppointmentRecord("贝利亚",
                "123456789012345678",
                "内科",
                "2025-12-12","上午08.30","李娜");
        var entity = appointmentServiceImpl.getOne(record);
        System.out.println("entity = " + entity);
    }



}